## gwymd5 gwymd5 — Compute MD5 digest |

## Functions

void | gwy_md5_get_digest ()

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

MD5 (RFC1321) is a reasonably fast digest function. It can be used for hash key creation and fast data indexing, but should be no longer used for cryptographic and security purposes.

## Functions

### gwy_md5_get_digest ()

    void
    gwy_md5_get_digest (const gchar *buffer,
                        gint buffer_size,
                        guchar digest[16]);

Compute the MD5 hash of a buffer.

The MD5 algorithm takes as input a message of arbitrary length and produces as output a 128-bit "fingerprint" or "message digest" of the input. For more information see RFC 1321.

#### Parameters

buffer | A byte buffer. |
buffer_size | Size of `buffer` (in bytes) or -1 if `buffer` is nul-terminated. |
digest | 16 bytes to store the hash code to. |